import math

from cocos.sprite import Sprite


class CBodySprite(Sprite):
    def step(self, dt):
        self.position = self.cbody.position
        self.rotation = -math.degrees(self.cbody.angle)

    def get_speed(self):
        raise NotImplementedError()

    def normalize_after_collision(self):
        velocity_dir = self.cbody.velocity.normalized()
        self.cbody.velocity = velocity_dir * self.get_speed()
        self.cbody.angle = self.cbody.velocity.angle - math.pi / 2.0
