import os

import pyglet

from roomrpg import cfg


def get_image(filename):
    return pyglet.image.load(get_path(filename))


def init_font(filename, fontname):
    pyglet.font.add_file(get_path(filename))
    pyglet.font.load(fontname)


def get_path(filename):
    return os.path.join(cfg.DATA_DIR, filename)
