from cocos.director import director

import pymunkoptions
pymunkoptions.options["debug"] = False

from roomrpg.game import Game
from roomrpg.data import init_font
from roomrpg.scenes import MainScene
from roomrpg import cfg


def main():
    director.init(
        caption=cfg.GAME_NAME,
        width=cfg.W,
        height=cfg.H,
    )

    init_font('munro.ttf', 'Munro')

    game = Game(director.window.width, director.window.height)

    main_scene = MainScene(game)
    director.run(main_scene)
